Get donation history
curl --request GET \
--url https://api.example.com/historyimport requests
url = "https://api.example.com/history"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"content": [
{
"id": "<string>",
"type": "<string>",
"recipientId": "<string>",
"system": "<string>",
"originId": "<string>",
"timestamp": "2023-11-07T05:31:56Z",
"nickname": "<string>",
"amount": {
"minor": 123,
"major": 123,
"currency": "<string>"
},
"message": "<string>",
"attachments": [
{
"id": "<string>",
"url": "<string>",
"title": "<string>",
"thumbnail": "<string>"
}
],
"goals": [
{
"goalId": "<string>",
"goalTitle": "<string>"
}
],
"reelResults": [
{
"title": "<string>"
}
],
"actions": [
{
"id": "<string>",
"actionId": "<string>",
"name": "<string>",
"amount": 123,
"payload": {}
}
],
"vote": {
"id": "<string>",
"name": "<string>",
"isNew": true
},
"alerts": [
{
"id": "<string>",
"shownAt": "2023-11-07T05:31:56Z"
}
],
"level": 123,
"count": 123,
"levelName": "<string>",
"deleted": true
}
],
"pageable": {
"orderBy": [
{
"ignoreCase": true,
"property": "<string>",
"ascending": true
}
],
"number": 123,
"size": 123,
"sort": {
"orderBy": [
{
"ignoreCase": true,
"property": "<string>",
"ascending": true
}
]
}
},
"pageNumber": 123,
"offset": 123,
"size": 123,
"empty": true,
"numberOfElements": 123,
"totalSize": 123,
"totalPages": 123
}{}API Reference
Get donation history
Retrieves paginated donation history for the authenticated user
GET
/
history
Get donation history
Query Parameters
Zero-indexed page number (0-based)
Required range:
x >= 0Example:
0
Number of items per page
Sorting criteria in format: property,asc|desc
Response
Successfully retrieved history items
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I